com.fasterxml.jackson.databind.exc

## Class InvalidTypeIdException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.databind.DatabindException
            - - com.fasterxml.jackson.databind.JsonMappingException
              - - com.fasterxml.jackson.databind.exc.MismatchedInputException
                - - com.fasterxml.jackson.databind.exc.InvalidTypeIdException

All Implemented Interfaces:
  Serializable

    public class InvalidTypeIdException
    extends MismatchedInputException

Exception thrown when resolution of a type id fails.

Since:
  2.8
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

`JsonMappingException.Reference`

### Field Summary

Fields
`protected JavaType` `_baseType` Basetype for which subtype was to be resolved
`protected String` `_typeId` Type id that failed to be resolved to a subtype; `null` in cases where no type id was located (since 2.9).

### Fields inherited from class com.fasterxml.jackson.databind.exc.MismatchedInputException

`_targetType`

### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_path, _processor`

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
Constructor and Description
`InvalidTypeIdException(com.fasterxml.jackson.core.JsonParser p, String msg, JavaType baseType, String typeId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InvalidTypeIdException` `from(com.fasterxml.jackson.core.JsonParser p, String msg, JavaType baseType, String typeId)`
`JavaType` `getBaseType()`
`String` `getTypeId()`

### Methods inherited from class com.fasterxml.jackson.databind.exc.MismatchedInputException

`from, from, from, getTargetType, setTargetType`

### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_appendPathDesc, _appendReferenceChain, _buildMessage, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, withCause, wrapWithPath, wrapWithPath, wrapWithPath`

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _baseType

    protected final JavaType _baseType

Basetype for which subtype was to be resolved

#### _typeId

    protected final String _typeId

Type id that failed to be resolved to a subtype; `null` in cases where no type id was located (since 2.9).

### Constructor Detail

#### InvalidTypeIdException

    public InvalidTypeIdException(com.fasterxml.jackson.core.JsonParser p,
                                  String msg,
                                  JavaType baseType,
                                  String typeId)

### Method Detail

#### from

    public static InvalidTypeIdException from(com.fasterxml.jackson.core.JsonParser p,
                                              String msg,
                                              JavaType baseType,
                                              String typeId)

#### getBaseType

    public JavaType getBaseType()

#### getTypeId

    public String getTypeId()